package com.phm.manage.service.impl;

import com.phm.manage.domain.Aeroplane;
import com.phm.manage.mapper.AeroplaneMapper;
import com.phm.manage.service.IAeroplaneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 单机信息Service业务层处理
 *
 * @author phm
 * @date 2023-08-22
 */
@Service
public class AeroplaneServiceImpl implements IAeroplaneService {
    @Autowired
    private AeroplaneMapper aeroplaneMapper;

    /**
     * 查询单机信息
     *
     * @param id 单机信息主键
     * @return 单机信息
     */
    @Override
    public Aeroplane selectAeroplaneById(Long id) {
        return aeroplaneMapper.selectAeroplaneById(id);
    }

    /**
     * 查询单机信息列表
     *
     * @param aeroplane 单机信息
     * @return 单机信息
     */
    @Override
    public List<Aeroplane> selectAeroplaneList(Aeroplane aeroplane) {
        return aeroplaneMapper.selectAeroplaneList(aeroplane);
    }

    /**
     * 新增单机信息
     *
     * @param aeroplane 单机信息
     * @return 结果
     */
    @Override
    public int insertAeroplane(Aeroplane aeroplane) {
        return aeroplaneMapper.insertAeroplane(aeroplane);
    }

    /**
     * 修改单机信息
     *
     * @param aeroplane 单机信息
     * @return 结果
     */
    @Override
    public int updateAeroplane(Aeroplane aeroplane) {
        return aeroplaneMapper.updateAeroplane(aeroplane);
    }

    /**
     * 批量删除单机信息
     *
     * @param ids 需要删除的单机信息主键
     * @return 结果
     */
    @Override
    public int deleteAeroplaneByIds(Long[] ids) {
        return aeroplaneMapper.deleteAeroplaneByIds(ids);
    }

    /**
     * 删除单机信息信息
     *
     * @param id 单机信息主键
     * @return 结果
     */
    @Override
    public int deleteAeroplaneById(Long id) {
        return aeroplaneMapper.deleteAeroplaneById(id);
    }
}
